
subcategories = {
    "abstract_algebra": ["math"],
    "anatomy": ["health"],
    "astronomy": ["physics"],
    "business_ethics": ["business"],
    "clinical_knowledge": ["health"],
    "college_biology": ["biology"],
    "college_chemistry": ["chemistry"],
    "college_computer_science": ["computer science"],
    "college_mathematics": ["math"],
    "college_medicine": ["health"],
    "college_physics": ["physics"],
    "computer_security": ["computer science"],
    "conceptual_physics": ["physics"],
    "econometrics": ["economics"],
    "electrical_engineering": ["engineering"],
    "elementary_mathematics": ["math"],
    "formal_logic": ["philosophy"],
    "global_facts": ["other"],
    "high_school_biology": ["biology"],
    "high_school_chemistry": ["chemistry"],
    "high_school_computer_science": ["computer science"],
    "high_school_european_history": ["history"],
    "high_school_geography": ["geography"],
    "high_school_government_and_politics": ["politics"],
    "high_school_macroeconomics": ["economics"],
    "high_school_mathematics": ["math"],
    "high_school_microeconomics": ["economics"],
    "high_school_physics": ["physics"],
    "high_school_psychology": ["psychology"],
    "high_school_statistics": ["math"],
    "high_school_us_history": ["history"],
    "high_school_world_history": ["history"],
    "human_aging": ["health"],
    "human_sexuality": ["culture"],
    "international_law": ["law"],
    "jurisprudence": ["law"],
    "logical_fallacies": ["philosophy"],
    "machine_learning": ["computer science"],
    "management": ["business"],
    "marketing": ["business"],
    "medical_genetics": ["health"],
    "miscellaneous": ["other"],
    "moral_disputes": ["philosophy"],
    "moral_scenarios": ["philosophy"],
    "nutrition": ["health"],
    "philosophy": ["philosophy"],
    "prehistory": ["history"],
    "professional_accounting": ["other"],
    "professional_law": ["law"],
    "professional_medicine": ["health"],
    "professional_psychology": ["psychology"],
    "public_relations": ["politics"],
    "security_studies": ["politics"],
    "sociology": ["culture"],
    "us_foreign_policy": ["politics"],
    "virology": ["health"],
    "world_religions": ["philosophy"],
}

categories = {
    "STEM": ["biology", "chemistry", "computer science", "engineering", "math", "physics"],
    "Social Science": ["culture", "economics", "geography", "politics", "psychology"],
    "Humanities": ["history", "law", "philosophy"],
    "Others": ["business", "health", "other"],
}

subject2cat = {
    "college_biology": "STEM",
    "high_school_biology": "STEM",
    "college_chemistry": "STEM",
    "high_school_chemistry": "STEM",
    "college_computer_science": "STEM",
    "computer_security": "STEM",
    "high_school_computer_science": "STEM",
    "machine_learning": "STEM",
    "electrical_engineering": "STEM",
    "abstract_algebra": "STEM",
    "college_mathematics": "STEM",
    "elementary_mathematics": "STEM",
    "high_school_mathematics": "STEM",
    "high_school_statistics": "STEM",
    "astronomy": "STEM",
    "college_physics": "STEM",
    "conceptual_physics": "STEM",
    "high_school_physics": "STEM",
    "human_sexuality": "Social Science",
    "sociology": "Social Science",
    "econometrics": "Social Science",
    "high_school_macroeconomics": "Social Science",
    "high_school_microeconomics": "Social Science",
    "high_school_geography": "Social Science",
    "high_school_government_and_politics": "Social Science",
    "public_relations": "Social Science",
    "security_studies": "Social Science",
    "us_foreign_policy": "Social Science",
    "high_school_psychology": "Social Science",
    "professional_psychology": "Social Science",
    "high_school_european_history": "Humanities",
    "high_school_us_history": "Humanities",
    "high_school_world_history": "Humanities",
    "prehistory": "Humanities",
    "international_law": "Humanities",
    "jurisprudence": "Humanities",
    "professional_law": "Humanities",
    "formal_logic": "Humanities",
    "logical_fallacies": "Humanities",
    "moral_disputes": "Humanities",
    "moral_scenarios": "Humanities",
    "philosophy": "Humanities",
    "world_religions": "Humanities",
    "business_ethics": "Others",
    "management": "Others",
    "marketing": "Others",
    "anatomy": "Others",
    "clinical_knowledge": "Others",
    "college_medicine": "Others",
    "human_aging": "Others",
    "medical_genetics": "Others",
    "nutrition": "Others",
    "professional_medicine": "Others",
    "virology": "Others",
    "global_facts": "Others",
    "miscellaneous": "Others",
    "professional_accounting": "Others"
}
